#ifndef webminifier_h
#define webminifier_h

void minify_html (char *input, char *output);
	/**
	 * minifies HTML string (and embedded CSS)
	 * @param input HTML string to minify
	 * @param output (i/o) pointer to pre-allocated minified string
	 * postcondition: strlen (output) <= strlen (input)
	 */
	 
long minify_css (char *input, char *output, long size);
	/**
	 * minifies CSS string (used by minify_html), 
	 * @param size input string length - use strlen (input) for example
	 * @return minified (output) string length
	 */
	 
long minify_js (char *input, char *output, long size);

#endif //webminifier_h
